Name:          libheif
Version:       1.19.7
Release:       1mamba
Summary:       An HEIF and AVIF file format decoder and encoder
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/strukturag/libheif
Source:        https://github.com/strukturag/libheif.git/v%{version}/libheif-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libaom-devel
BuildRequires: libdav1d-devel
BuildRequires: libde265-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libjpeg-turbo
BuildRequires: libopenh264-devel
BuildRequires: libpng-devel
BuildRequires: librav1e-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsvt-av1-devel
BuildRequires: libtiff-devel
BuildRequires: libwebp-devel
BuildRequires: libx265-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libsvt-av1-devel >= 2.0.0-1mamba
BuildRequires: librav1e-devel
BuildRequires: libx265-devel >= 4.0
BuildRequires: cmake

%description
libheif is an HEIF and AVIF file format decoder and encoder.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Multimedia
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.


%prep
%setup -q

%build
%cmake -d build \
   -DPLUGIN_DIRECTORY=%{_libdir}/libheif \
   -DWITH_DAV1D=ON \
   -DWITH_RAV1E=ON \
   -DWITH_SvtEnc=ON

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libheif.so.*
%dir %{_libdir}/libheif
%{_libdir}/libheif/libheif-*.so
%{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-heif.so
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libheif
%{_includedir}/libheif/*
%{_libdir}/libheif.so
%{_libdir}/pkgconfig/libheif.pc
%dir %{_libdir}/cmake/libheif
%{_libdir}/cmake/libheif/libheif-*.cmake
%doc README.md

%files tools
%defattr(-,root,root)
%{_bindir}/heif-convert
%{_bindir}/heif-dec
%{_bindir}/heif-enc
%{_bindir}/heif-info
%{_bindir}/heif-thumbnailer
%{_datadir}/thumbnailers/heif.thumbnailer
%{_mandir}/man1/heif-*.1*

%changelog
* Mon Mar 03 2025 Automatic Build System <autodist@openmamba.org> 1.19.7-1mamba
- automatic version update by autodist

* Mon Mar 03 2025 Automatic Build System <autodist@openmamba.org> 1.19.6-1mamba
- automatic version update by autodist

* Wed Nov 20 2024 Automatic Build System <autodist@openmamba.org> 1.19.5-1mamba
- automatic version update by autodist

* Tue Nov 12 2024 Automatic Build System <autodist@openmamba.org> 1.19.3-1mamba
- automatic version update by autodist

* Mon Nov 11 2024 Automatic Build System <autodist@openmamba.org> 1.19.2-2mamba
- rebuilt with libx265 4.0

* Thu Nov 07 2024 Automatic Build System <autodist@openmamba.org> 1.19.2-1mamba
- automatic version update by autodist

* Sat Nov 02 2024 Automatic Build System <autodist@openmamba.org> 1.19.1-1mamba
- automatic version update by autodist

* Fri Nov 01 2024 Automatic Build System <autodist@openmamba.org> 1.19.0-1mamba
- automatic version update by autodist

* Tue Aug 13 2024 Automatic Build System <autodist@openmamba.org> 1.18.2-1mamba
- automatic version update by autodist

* Tue Jul 23 2024 Automatic Build System <autodist@openmamba.org> 1.18.1-1mamba
- automatic version update by autodist

* Fri May 03 2024 Automatic Build System <autodist@mambasoft.it> 1.17.6-2mamba
- rebuilt by autoport with build requirements: libsvt-av1-devel>=2.0.0-1mamba

* Wed Dec 20 2023 Automatic Build System <autodist@mambasoft.it> 1.17.6-1mamba
- automatic version update by autodist

* Tue Nov 21 2023 Automatic Build System <autodist@mambasoft.it> 1.17.5-1mamba
- automatic version update by autodist

* Fri Nov 03 2023 Automatic Build System <autodist@mambasoft.it> 1.17.3-1mamba
- automatic version update by autodist

* Thu Oct 19 2023 Automatic Build System <autodist@mambasoft.it> 1.17.1-1mamba
- automatic version update by autodist

* Wed Oct 18 2023 Automatic Build System <autodist@mambasoft.it> 1.17.0-1mamba
- automatic version update by autodist

* Tue May 23 2023 Automatic Build System <autodist@mambasoft.it> 1.16.2-1mamba
- automatic version update by autodist

* Wed May 03 2023 Automatic Build System <autodist@mambasoft.it> 1.16.1-1mamba
- automatic version update by autodist

* Fri Mar 31 2023 Automatic Build System <autodist@mambasoft.it> 1.15.2-1mamba
- automatic version update by autodist

* Sun Feb 19 2023 Automatic Build System <autodist@mambasoft.it> 1.15.1-1mamba
- automatic version update by autodist

* Sat Jan 07 2023 Automatic Build System <autodist@mambasoft.it> 1.14.2-1mamba
- automatic version update by autodist

* Wed Jan 04 2023 Automatic Build System <autodist@mambasoft.it> 1.14.1-1mamba
- automatic version update by autodist

* Thu Nov 17 2022 Automatic Build System <autodist@mambasoft.it> 1.14.0-1mamba
- automatic version update by autodist

* Mon Sep 05 2022 Automatic Build System <autodist@mambasoft.it> 1.13.0-1mamba
- automatic version update by autodist

* Tue Apr 26 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12.0-2mamba
- rebuilt with avif encoder and decoder and libde265 heif decoder

* Mon Jan 10 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12.0-1mamba
- package created using the webbuild interface
